﻿// Copyright © Microsoft Corporation. 
// This source is subject to the Microsoft Source License for Silverlight Controls (March 2008 Release).
// Please see http://go.microsoft.com/fwlink/?LinkID=111693 for details.
// All other rights reserved. 

using System.Windows;
 
#if !WPFIMPLEMENTATION 

#if WPF 
namespace WPF
#else
namespace System.Windows.Controls.Test 
#endif
{
    /// <summary> 
    /// Provides helpers for accessing protected methods of ListBox 
    /// </summary>
    class HelperListBox : ListBox 
    {
        public void CallOnGotFocus()
        { 
            OnGotFocus(new RoutedEventArgs());
        }
        public void CallOnLostFocus() 
        { 
            OnLostFocus(new RoutedEventArgs());
        } 
    }
}
 
#endif
